<?php

if(! class_exists("CUK_Install")) {
    class CUK_Install {

        public static function init() {
            self::cuk_create_default_expensefees();
            self::cuk_create_default_fees_values();
            self::cuk_create_additional_inputs();
            self::cuk_create_plugin_info();
        }        
        
        private static function cuk_create_default_expensefees() {
            // Save values as options
            $expenses_r = array(
                "cuk_freehold_sale_title_and_plan_copy" => 6.00,
                "cuk_freehold_sale_documents_copy" => 20.00,
                "cuk_leasehold_sale_title_and_plan_copy" => 6.00,
                "cuk_leasehold_sale_freehold_title_and_plan_copy" => 6.00,
                "cuk_leasehold_sale_documents_copy" => 20.00,
                "cuk_leasehold_sale_managing_agents_fees" => 300.00,
                "cuk_freehold_purchase_searches_and_vat" => 300.00,
                "cuk_freehold_purchase_land_reg_fee" => 3.00,
                "cuk_freehold_purchase_bankruptcy" => 2.00,
                "cuk_leasehold_purchase_searches_and_vat" => 300.00,
                "cuk_leasehold_purchase_land_reg_fee" => 3.00,
                "cuk_leasehold_purchase_bankruptcy" => 2.00,
                "cuk_leasehold_purchase_transfer_notice_charge" => 20.00,
                "cuk_searches_expense_description" => "Each property is unique and each local council has its own fees for the property searches it performs. Our standard searches fee include: local authority searches (planning issues, building control issues, highways issues, pollution issues), environmental searches (flooding issues, landslide issues, subsidence issues, contaminated land issues) and water and drainage searches (who owns and maintains the sewers, drains & piping, if the property is connected to a public water supply and sewer, whether the water supply is metered or rateable, the location of public sewer and drainage pipes and whether you’ll need permission from the water company to extend the home). Additional searches may be necessary if the property is a mining area or needs to contribute to chancel repair. Contact us for a meeting to discuss this fully and for a comprehensive quote."
            );
        
            add_option("cuk_expense_fees", $expenses_r);
        }

        private static function cuk_create_default_fees_values() {
            // Save values as options
            $fees_r = array(
                "cuk_sameday_bank_transfer" => 40.00,
                "cuk_filestorage_fee" => 40.00,
                "cuk_legal_freeholdstartPrice" => 150000.00,
                "cuk_legal_leaseholdstartPrice" => 150000.00,
                "cuk_legal_freeholdBasicFee" => 450.00,
                "cuk_legal_leaseholdBasicFee" => 750.00,
                "cuk_legal_freeholdpriceIncrease" => 50000.00,
                "cuk_legal_leaseholdpriceIncrease" => 50000.00,
                "cuk_legal_freeholdfeeIncrease" => 50.00,
                "cuk_legal_leaseholdfeeIncrease" => 50.00
            );
        
            add_option("cuk_fees", $fees_r);
        }
        
        private static function cuk_create_additional_inputs() {
            // Save values as options
            $additional_inputs_r = array(
                "cuk_admin_email_recepient" => get_bloginfo("admin_email"),
                "cuk_disclaimer_statement" => "<p>The above estimate of costs is just that, an estimate. For a more accurate quote on costs contact our conveyancing team using the form below and we will be in touch for more details.</p>

                <p>Consider updating your Will if you have one or drafting one if you don't. Our Private Client team can assist you with drafting and amending wills and mirror wills to reflect the change in your circumstances with this property transaction.</p>
                
                <p>We can advise on the legal paperwork for money gifts used for the purchase of property, shared ownership, tenants in common v joint tenancy, tax liabilities, Inheritance Tax (IHT), transfer of ownership and first registration of title.</p>
                ",
                "cuk_gdpr_statement" => "By ticking this box you consent to us contacting you. Your email will not be added to any mailing lists and will be used solely for the purpose of following up on your request for an estimate on a property transaction. Our business is compliant with the General Data Protection Regulation (GDPR). To learn more about how we collect, keep, manage, and process your personal data in compliance with GDPR, please view our <a href=".esc_url(home_url("/privacy-policy")).">privacy policy.</a>"
            );
        
            add_option("cuk_additional_inputs", $additional_inputs_r);
        }

        private function cuk_create_plugin_info() {
            date_default_timezone_set('Europe/London');
            $plugin_info_r = array(
                "cuk_installed" => date("d-m-Y H:i:s A"),
                "cuk_expires" => "",
                "cuk_license_key" => "",
                "cuk_license_status" => "inactive",
            );
            add_option("cuk_plugin_info", $plugin_info_r);
        }
    }
}