<?php 
    $cuk_savedexpense_options = CUK_Database::cuk_fetch_expensefee_options();
    $cuk_savedfees_options = CUK_Database::cuk_fetch_fee_options();
    $cuk_additional_inputs = CUK_Database::cuk_fetch_additional_inputs();
?>
<div class="cuk-container cuk-plugin-wrapper">
    <form action="/action_page.php" id="CUK-calculator-form">
        <div class="cuk-entry-section cuk-bg--primary cuk-text--light cuk-b-radius-md">
        <p>Tick if you are buying, selling or both</p>
        
        <div class="cuk-entry-section-inner">
          <div class="cuk-checkbox-input">
            <input type="checkbox" id="buying" name="buying" value="buying" />
            <label for="buying">Buying</label>
          </div>
    
          <div class="cuk-checkbox-input">
            <input type="checkbox" id="selling" name="selling" value="selling" />
            <label for="selling">Selling</label>
          </div>
        </div>
      </div>

      <div class="cuk-possible-actions"><!-- Holds the buying/selling options -->
        <div class="cuk-buying-options cuk-bg--primary cuk-text--light cuk-b-radius-md"> <!-- Show if user selects buying-->
          <p>PURCHASE: please select freehold or leasehold</p>
          <div class="cuk-radio-input">
            <input type="radio" id="freeholdPurchase" name="purchaseTenure" value="freeholdPurchase" />
            <label for="freeholdPurchase">Freehold purchase</label>
          </div>
          
          <div class="cuk-radio-input">
            <input type="radio" id="leasehold" name="purchaseTenure" value="leasehold" />
            <label for="leasehold">Leasehold purchase</label><br /><br />
          </div>

          <!-------------------------------------->
          <div class="cuk-sdlt-options">
            <p>Select one of the three Stamp Duty Land Tax (SDLT) options:</p>
            <div class="cuk-radio-input">
              <input type="radio" id="sdlt" name="sdltRate" value="sdlt" />
              <label for="sdlt">Standard SDLT: if, after buying the property, it is the only residential property you own.</label>
            </div>
      
            <div class="cuk-radio-input">
              <input type="radio" id="sdltftb" name="sdltRate" value="sdltftb" />
              <label for="sdltftb">First-Time Buyer SDLT: If you’re buying your first home you can claim a discount (relief). This means you’ll pay: no SDLT up to £425,000 and 5% SDLT on the portion from £425,001 to £625,000. Properties priced over £625,000 are not eligible for this relief.</label>
            </div>
            
            <div class="cuk-radio-input">
              <input type="radio" id="sdlthr" name="sdltRate" value="sdlthr" />
              <label for="sdlthr">Higher-Rate SDLT: Higher rates for additional properties if buying a new residential property means you’ll own more than one. You’ll usually have to pay 3% on top of SDLT rates.</label>
            </div>
            <p>
              NOTE: There are different SDLT rules and rate calculations for:
              corporate bodies, people buying 6 or more residential properties in one
              transaction, shared ownership properties, multiple purchases or transfers
              between the same buyer and seller (‘linked purchases’), purchases that
              mean you own more than one property and companies and trusts buying
              residential property.
            </p>
            <p>Contact us for more details about these types of property transactions.</p>
          </div>

          <div class="cuk-purchaseprice-input cuk-number-input cuk-input--block">
            <label for="purchasePrice">Purchase price:</label>
            <input type="number" id="purchasePrice" name="purchasePrice" step="0.01" placeholder="Enter purchase price ..." min="0" />
          </div>

        </div><!-- / End show if user selects buying -->

        <div class="cuk-selling-options cuk-bg--primary cuk-text--light cuk-b-radius-md"><!-- If user selects selling -->
          <p>SALE: please select freehold or leasehold</p>
          <div class="cuk-radio-input">
            <input type="radio" id="freeholdSale" name="SaleTenure" value="freeholdSale" />
            <label for="freeholdSale">Freehold sale</label>
          </div>
          <div class="cuk-radio-input">
            <input type="radio" id="leaseholdSale" name="SaleTenure" value="leaseholdSale" />
            <label for="leaseholdSale">Leasehold sale</label>
          </div>

          <br>
          <div class="cuk-saleprice-input cuk-number-input cuk-input--block">
            <label for="salePrice">Sale price:</label>
            <input type="number" id="salePrice" name="salePrice" step="0.01" placeholder="Enter sale price ..." min="0" />
          </div>
        </div><!-- / End if user selects selling -->
      </div>

      <!-- Hidden inputs - Values come from the backend -------->
      <input type="hidden" name="cuk_freehold_sale_title_and_plan_copy" id="" value="<?php echo $cuk_savedexpense_options["cuk_freehold_sale_title_and_plan_copy"]; ?>">
      <input type="hidden" name="cuk_freehold_sale_documents_copy" id="" value="<?php echo $cuk_savedexpense_options["cuk_freehold_sale_documents_copy"]; ?>">
      <input type="hidden" name="cuk_leasehold_sale_title_and_plan_copy" id="" value="<?php echo $cuk_savedexpense_options["cuk_leasehold_sale_title_and_plan_copy"]; ?>">
      <input type="hidden" name="cuk_leasehold_sale_freehold_title_and_plan_copy" id="" value="<?php echo $cuk_savedexpense_options["cuk_leasehold_sale_freehold_title_and_plan_copy"]; ?>">
      <input type="hidden" name="cuk_leasehold_sale_documents_copy" id="" value="<?php echo $cuk_savedexpense_options["cuk_leasehold_sale_documents_copy"]; ?>">
      <input type="hidden" name="cuk_leasehold_sale_managing_agents_fees" id="" value="<?php echo $cuk_savedexpense_options["cuk_leasehold_sale_managing_agents_fees"]; ?>">
      <input type="hidden" name="cuk_freehold_purchase_searches_and_vat" id="" value="<?php echo $cuk_savedexpense_options["cuk_freehold_purchase_searches_and_vat"]; ?>">
      <input type="hidden" name="cuk_freehold_purchase_land_reg_fee" id="" value="<?php echo $cuk_savedexpense_options["cuk_freehold_purchase_land_reg_fee"]; ?>">
      <input type="hidden" name="cuk_freehold_purchase_bankruptcy" id="" value="<?php echo $cuk_savedexpense_options["cuk_freehold_purchase_bankruptcy"]; ?>">
      <input type="hidden" name="cuk_leasehold_purchase_searches_and_vat" id="" value="<?php echo $cuk_savedexpense_options["cuk_leasehold_purchase_searches_and_vat"]; ?>">
      <input type="hidden" name="cuk_leasehold_purchase_land_reg_fee" id="" value="<?php echo $cuk_savedexpense_options["cuk_leasehold_purchase_land_reg_fee"]; ?>">
      <input type="hidden" name="cuk_leasehold_purchase_bankruptcy" id="" value="<?php echo $cuk_savedexpense_options["cuk_leasehold_purchase_bankruptcy"]; ?>">
      <input type="hidden" name="cuk_leasehold_purchase_transfer_notice_charge" id="" value="<?php echo $cuk_savedexpense_options["cuk_leasehold_purchase_transfer_notice_charge"]; ?>">

      <input type="hidden" name="cuk_sameday_bank_transfer" id="" value="<?php echo $cuk_savedfees_options["cuk_sameday_bank_transfer"]; ?>">
      <input type="hidden" name="cuk_filestorage_fee" id="" value="<?php echo $cuk_savedfees_options["cuk_filestorage_fee"]; ?>">
      <input type="hidden" name="cuk_legal_freeholdstartPrice" id="" value="<?php echo $cuk_savedfees_options["cuk_legal_freeholdstartPrice"]; ?>">
      <input type="hidden" name="cuk_legal_leaseholdstartPrice" id="" value="<?php echo $cuk_savedfees_options["cuk_legal_leaseholdstartPrice"]; ?>">
      <input type="hidden" name="cuk_legal_freeholdBasicFee" id="" value="<?php echo $cuk_savedfees_options["cuk_legal_freeholdBasicFee"]; ?>">
      <input type="hidden" name="cuk_legal_leaseholdBasicFee" id="" value="<?php echo $cuk_savedfees_options["cuk_legal_leaseholdBasicFee"]; ?>">
      <input type="hidden" name="cuk_legal_freeholdpriceIncrease" id="" value="<?php echo $cuk_savedfees_options["cuk_legal_freeholdpriceIncrease"]; ?>">
      <input type="hidden" name="cuk_legal_leaseholdpriceIncrease" id="" value="<?php echo $cuk_savedfees_options["cuk_legal_leaseholdpriceIncrease"]; ?>">
      <input type="hidden" name="cuk_legal_freeholdfeeIncrease" id="" value="<?php echo $cuk_savedfees_options["cuk_legal_freeholdfeeIncrease"]; ?>">
      <input type="hidden" name="cuk_legal_leaseholdfeeIncrease" id="" value="<?php echo $cuk_savedfees_options["cuk_legal_leaseholdfeeIncrease"]; ?>">
      <!-- / End hidden inputs - Values come from the backend -->

      <p class="cuk-text--center"><button type="submit" class="cuk-btn cuk-btn--primary cuk-btn--uppercase cuk-btn-with-icon cuk-btn--disabled" id="cuk-get-quote">Get my estimate</button></p>
    </form>

      <!-- Results are displayed here -->
      <div class="cuk-results-wrapper cuk-display-results-grid">
        <?php include_once("freeholdPurchase.html"); ?>
        <?php include_once("freeholdSale.html"); ?>
        <?php include_once("leaseholdPurchase.html"); ?>
        <?php include_once("leaseholdSale.html"); ?>
      </div>

      <!-- Searches and VAT approx --->
      <div class="cuk-searches-and-vat-approx cuk-b-radius-md">
        <h4 class="cuk-text--center">* Searches and VAT (approx)</h4>
        <p>
          <?php echo $cuk_savedexpense_options["cuk_searches_expense_description"]; ?>
        </p>
      </div>
      <!-- Caveat -->
      <div class="cuk-caveat cuk-b-radius-md">
        <?php echo $cuk_additional_inputs["cuk_disclaimer_statement"]; ?>
      </div>

      <!-- Email results --->
      <div class="cuk-mail-quote cuk-b-radius-md">
        <h3 class="cuk-text--center">Get estimate via email</h3>
        <form action="" method="POST" id="cuk-mail-results">
          <div class="cuk-text-input cuk-input--block cuk-mail-quote-submit-input">
            <input type="email" id="cuk-calculator-mail-results-input" name="cuk-calculator-mail-results-input" placeholder="Enter recipient email ..." required />
          </div>
          <div>
            <input type="checkbox" name="cuk-accept-gdpr" id="cuk-accept-gdpr" value="yes" />
            <label for="cuk-accept-gdpr"><?php echo $cuk_additional_inputs["cuk_gdpr_statement"] ?></label>
          </div>
          <div class="cuk-text--center cuk-mail-quote-submit-btn"><button type="submit" class="cuk-btn cuk-btn--primary cuk-btn--disabled cuk-btn--uppercase cuk-btn-with-icon" id="cuk-mail-quote">Send <span class="cuk-loading-icon"><img src="<?php echo plugins_url() . "/conveyuk/assets/icons/loading.png"; ?>" alt="loading"></span></button></div>
        </form>

        <p class="cuk-text--center cuk-mail-result cuk-b-radius-sm"></p>
        <small class="cuk-powered-by cuk-text--right">Powered by <a href="https://conveyuk.com/" target="_blank">conveyUK</a></small>
      </div>

    </div>